# Gimp.context_set_line_dash_pattern

    @accepts(gsize, [float])
    @returns(bool)
    def context_set_line_dash_pattern(num_dashes, dashes):
        # Python wrapper for gimp_context_set_line_dash_pattern()

Set the line dash pattern setting.

Modifies the line dash pattern setting for stroking lines.

The unit of the dash pattern segments is the actual line width used for the stroke operation, in other words a segment length of 1.0 results in a square segment shape (or gap shape).

This setting affects the following procedures: Gimp.Drawable.edit_stroke_selection, Gimp.Drawable.edit_stroke_item.

Since 2.10

num_dashes

  The number of dashes in the dash_pattern array.

dashes

  The line dash pattern setting.

Returns